# build/reqprov.c File Reference

Add dependency tags to package header(s). More...

`#include "system.h"`
`#include <rpmio.h>`
`#include "rpmbuild.h"`
`#include "debug.h"`
Include dependency graph for reqprov.c:

Go to the source code of this file.

## Defines

#define | _RPMEVR_INTERNAL

## Functions

int | addReqProv (Spec spec, Header h, rpmTag tagN, const char *N, const char *EVR, rpmsenseFlags Flags, uint32_t index)
| Add dependency to header, filtering duplicates.
int | rpmlibNeedsFeature (Header h, const char *feature, const char *featureEVR)
| Add rpmlib feature dependency.

## Detailed Description

Add dependency tags to package header(s).

Definition in file reqprov.c.

## Define Documentation

#define _RPMEVR_INTERNAL

Definition at line 9 of file reqprov.c.